<?php

/*	LibFox - Simple library for XML-based backends.
	Copyright © 2007, 2008 LinFox Serviços em Informatica LTDA.

	This file is part of LibFox.

	LibFox is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	LibFox is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with LibFox.  If not, see <http://www.gnu.org/licenses/>. */

require_once 'mdl/session.php';

class session_dao extends dao
{
	public $key = 'radacctid';
	public $foreign_keys = 'username';
	public $other_keys = 'clients.client_id';
	protected $table = 'radacct';
	protected $model = 'session';
	protected $left_joins = array(
		'client_accounts.username' => 'radacct.username',
		'clients.client_id' => 'client_accounts.client_id');
	public $group_by = 'radacctid';

	public function __construct()
	{
		parent::__construct();
	}

}

?>